package com.jakubu9333.grammarManager.model;

import com.fasterxml.jackson.annotation.JsonView;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.PostPersist;
import javax.persistence.SequenceGenerator;
import java.time.LocalDateTime;

/**
 * @author Jakub Uhlarik
 */
@Entity
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
public class FileHolder {

    @Id
    @JsonView(View.All.class)
    @SequenceGenerator(name = "file_sequence", allocationSize = 1, sequenceName = "file_sequence")
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "file_sequence")
    private Long id;


    @JsonView(View.All.class)
    private String file;


    private boolean generated;

    private LocalDateTime createTime;

    @PostPersist
    public void postPersist() {
        this.createTime = LocalDateTime.now();
    }
}
